This the trace module for the moodss core. Whenever a loaded module issues a message to the user (through the internal moodss core / module interface), a new line in created in the following table:

Data is initially displayed in one empty table, filled as messages from modules arrive. The leftmost column contains row numbers and can be used for sorting in order of arrival. Each new event is assigned a unique row number. The date and time cells are filled at the instant the message is received by the trace module.

Module options:

- -m (--modules)
  A comma separated list of module names (no blank characters allowed). Only messages from modules included in the list will be displayed. If several instances of a module are loaded, their messages will all be displayed. The list must include straight module names only (no instance numbers allowed).
- --rows
  The maximum number of rows to be kept visible in the table. Older rows are automatically removed as new messages arrive. Default is 10 rows. 0 means that all rows are to be kept: use carefully if there are many messages as memory will eventually run out.

Examples:

    $ moodss random trace --rows 0
    $ moodss myvars mystatus cpustats trace -m myvars,mystatus
    $ moodss myvars mystatus trace --modules myvars trace --modules mystatus